
Redmine - Defect #16395

Subproject filter is not saved in query if "For all project" is checked

2014-03-20 06:02 - Ofer Nave

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.5.0

Description

When looking at the list of issues in a project that contains sub-projects, I can add a filter for "Subproject" with the value "none" which

filters out all the sub-project issues, leaving just the issues that are directly in the parent project.  This is very useful.

However, when I click "Save" and give it a name and then save it, the Subproject filter gets dropped.

Environment:

Redmine version                2.5.0.stable.12980

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

Redmine plugins:

redmine_dmsf                   1.4.8 devel

redmine_time_tracker           0.4

History

#1 - 2014-03-21 01:26 - Ofer Nave

- Status changed from New to Resolved

Seems to be working now, though I'm not sure how -- I didn't change anything.  In fact, I had deleted it, then it showed up again today, this time

working correctly.

If I learn more, I'll reopen/update this.

#2 - 2014-03-21 01:37 - Jean-Philippe Lang

- Status changed from Resolved to Needs feedback

I guess you're checking "For all project" when saving your query? The subproject filter is not available for cross-project queries, that's why the filter is

dropped.

#3 - 2014-03-21 01:43 - Ofer Nave

Yes, I did.  I found it very useful, and so wanted to share.  :)

Good to know why it didn't work, thanks.

#4 - 2014-04-14 17:42 - Toshi MARUYAMA

- Subject changed from Subproject filter not saved in query to Subproject filter not saved in query if "For all project" checked

- Status changed from Needs feedback to New

#5 - 2014-04-14 17:42 - Toshi MARUYAMA

- Subject changed from Subproject filter not saved in query if "For all project" checked to Subproject filter not saved in query if "For all project" is

checked

#6 - 2014-05-12 04:42 - Сергей Нерволь

Jean-Philippe Lang wrote:

The subproject filter is not available for cross-project queries, that's why the filter is dropped.
 Too bad. This was wery usefull functionality for me...

for example i have this project structure:

Company1

-- Project1

--- Subproject1

--- Subproject2

-- Project2

Company2

-- Project1

--- Subproject1

-- Project2

Company3

-- Project1

--- Subproject1

--- Subproject2

-- Project2

and there are about 50+ companies wich must use similar querries to use.

Now I must make 150+ similar querries instead 3.

#7 - 2014-06-10 05:29 - Toshi MARUYAMA

- Subject changed from Subproject filter not saved in query if "For all project" is checked to Subproject filter is not saved in query if "For all project" is

checked

#8 - 2016-07-11 06:23 - Chi Song Tao

I want to add a custom query for every project to list issues with subprojects'. How can I edit the query?
